#!/usr/bin/python

import os
import sys

if __name__ == "__main__":

    print("--------------------------------------------------")
    print(" Split file in 512k chunks ")
    print("--------------------------------------------------")

    if len(sys.argv) < 2:
        print(" Syntax should be %s <input file>" %
              os.path.basename(sys.argv[0]))
        sys.exit()
    else:
        for i in range(len(sys.argv)-1):
            try:
                input = open(sys.argv[i+1], "rb")
                filename = os.path.splitext(sys.argv[i+1])[0]

            except:
                print(sys.argv[i+1] + " : Input file does not exist")
                sys.exit()

            filesize = os.path.getsize(sys.argv[i+1])

            print(" FILENAME              : %s " % sys.argv[i+1])
            print(" FILESIZE              : %s ko" % (filesize/1024))
            print("--------------------------------------------------")

            input.seek(0, 0)
            data = bytearray(input.read(filesize))
            input.close()

            # Split in 512k chunks
            CHUNK_SIZE = 524288
            file_number = 1

            for i in range(0, len(data), CHUNK_SIZE):
                chunk = data[i:i+CHUNK_SIZE]
                with open(filename+'_Part_' + str(file_number) + '.bin', "wb") as chunk_file:
                    chunk_file.write(chunk)
                    file_number += 1
                    print(filename+'_Part_' + str(file_number) + '.bin DONE')
            print(filename+' DONE')
